Call records
List call logs
GET
/openapi/calllogRequest
Parameters
taskIdintegerQuery parameter · Format: 1,2 — separate multiple task IDs with commas, up to 10
startTimestringQuery parameter · Format: 2006-01-02 15:04:05; defaults to the start of today
endTimestringQuery parameter · Format: 2006-01-02 15:04:05; defaults to the end of today
directionstringQuery parameter · inbound for incoming calls, outbound for outgoing calls
phonestringQuery parameter · Caller or callee phone number
pageIndexintegerQuery parameter · Page number, defaults to 1
pageSizeintegerQuery parameter · Items per page, defaults to 10, max 100
assistantIdsarrayQuery parameter · Assistant ID
descriptionstringQuery parameter · Filter by call type: phone = phone call, privateTest = debug call
Request body
No fields
Response
200 OK
itemsobject[]required
[].sessionIdstring
[].taskIdinteger
[].startAtstring
[].answerAtstring
[].endAtstring
[].calleestring
[].callerstring
[].directionstring
[].durationinteger
[].billsecinteger
[].recordFilestring
[].assistantobject[]required
[].idintegerrequired
Assistant ID
[].vidintegerrequired
Assistant version ID
totalintegerrequired
pageIndexintegerrequired
pageSizeintegerrequired
Sample code
curl -X GET 'https://openapi.voicefox.ai/openapi/calllog?taskId=0&startTime=string&endTime=string&direction=string&phone=string&pageIndex=0&pageSize=0&assistantIds=0&description=string' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json'Response example
{
"items": [
{
"sessionId": "string",
"taskId": 0,
"startAt": "string",
"answerAt": "string",
"endAt": "string",
"callee": "string",
"caller": "string",
"direction": "string",
"duration": 0,
"billsec": 0,
"recordFile": "string",
"assistant": [
{
"id": 0,
"vid": 0
}
]
}
],
"total": 0,
"pageIndex": 0,
"pageSize": 0
}